//Side Walls For Z-Axis Mount Plate

PlateThickness = 8;
PlateWidth = 100.5;
PlateHeight = 97;
StandOffThickness = 8;

Resolution = 360;
difference(){
	union(){
		difference(){
			linear_extrude(height = PlateThickness, $fn = Resolution) import(file = "Spindle Side Cover - Left Side.dxf", layer = "Object");
		//Cut Air Vent
			translate([0,0,-PlateThickness/2])linear_extrude(height = PlateThickness*2, $fn = Resolution) import(file = "Spindle Side Cover - Left Side.dxf", layer = "VentCutOut");
		}
		//Add Swooped Edge
		translate([0,0,-StandOffThickness]) linear_extrude(height = StandOffThickness+0.1, $fn = Resolution) import(file = "Spindle Side Cover - Left Side.dxf", layer = "StandOff");
	}
	
	//Write Danger and Spindle
	LaserTextThickness = 1.5;
	TopWordingYDistance = 76.5;
	BottomWordingYDistance = 15;
	CenterOfAirVentXDistance = 45;
	YAxisOffset = 2.5;
	translate([CenterOfAirVentXDistance,TopWordingYDistance-YAxisOffset,PlateThickness-LaserTextThickness+0.1]) linear_extrude(height = LaserTextThickness) { text(text=str("DANGER"), halign="center", valign="center");}
	translate([CenterOfAirVentXDistance,BottomWordingYDistance+YAxisOffset,PlateThickness-LaserTextThickness+0.1]) linear_extrude(height = LaserTextThickness) { text(text=str("SPINDLE"), halign="center", valign="center");}
}