//Side Walls For Z-Axis Mount Plate

ZAxisMountPlateWallThickness = 12;
ZAxisMountPlateWidth = 100.5;
ZAxisMountPlateHeight = 97;
FirstScrewHole = 4;
SecondScrewHole = 48.5;
ThirdScrewHole = 87.5;
ScrewHoleDiameter = 3;
ScrewLength = 17*2;
ScrewHeadRecess = 3;
Resolution = 360;
SpindleInsetDepth = 3;

difference(){
	linear_extrude(height = ZAxisMountPlateWallThickness, $fn = Resolution)
                import(file = "Z-Axis Mount Plate.dxf", layer = "Object");
	
//Cut Recess for 2x Spindle Mount Plates
	translate ([0,0,ZAxisMountPlateWallThickness-SpindleInsetDepth]) linear_extrude(height = ZAxisMountPlateWallThickness, $fn = Resolution)
                import(file = "Z-Axis Mount Plate.dxf", layer = "Slot Cutouts");

//Cut Plate & Spindle Mount Holes	
	translate([0,0,-ZAxisMountPlateWallThickness/2])linear_extrude(height = ZAxisMountPlateWallThickness*2, $fn = Resolution)
                import(file = "Z-Axis Mount Plate.dxf", layer = "Mount Holes");
	
//Cut Recess for Back Side Mount Holes
	translate([0,0,-0.5])linear_extrude(height = ScrewHeadRecess, $fn = Resolution)
                import(file = "Z-Axis Mount Plate.dxf", layer = "Screw Head Recess");

//Cut Out Side Plate Screw Holes
translate([0,FirstScrewHole,(ZAxisMountPlateWallThickness-SpindleInsetDepth)/2]) rotate([0,90,0]) cylinder(d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution, center=true);
translate([ZAxisMountPlateWidth,FirstScrewHole,(ZAxisMountPlateWallThickness-SpindleInsetDepth)/2]) rotate([0,90,0]) cylinder(d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution, center=true);
translate([0,SecondScrewHole,(ZAxisMountPlateWallThickness-SpindleInsetDepth)/2]) rotate([0,90,0]) cylinder(d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution, center=true);
translate([ZAxisMountPlateWidth,SecondScrewHole,(ZAxisMountPlateWallThickness-SpindleInsetDepth)/2]) rotate([0,90,0]) cylinder(d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution, center=true);
translate([0,ThirdScrewHole,(ZAxisMountPlateWallThickness-SpindleInsetDepth)/2]) rotate([0,90,0]) cylinder(d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution, center=true);
translate([ZAxisMountPlateWidth,ThirdScrewHole,(ZAxisMountPlateWallThickness-SpindleInsetDepth)/2]) rotate([0,90,0]) cylinder(d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution, center=true);
	
}